# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-Task-Catalyst 
Version:    4.02
Release:    alt1_5
# lib/Task/Catalyst.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Perl
Summary:    All you need to start with Catalyst 
Source:     http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Task-Catalyst-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Task-Catalyst
BuildArch:  noarch

BuildRequires: perl(ExtUtils/MakeMaker.pm)
# tests for Task::Catalyst itself
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)

# This macro allows us to easily define identical Requires and BR
%global req_both() %{expand:\
Requires: %*\
BuildRequires: %*\
} 

# Core Modules
%req_both perl(Catalyst.pm)
%req_both perl(Catalyst/Devel.pm)
%req_both perl(Catalyst/Manual.pm)
# Recommended Models
%req_both perl(Catalyst/Model/Adaptor.pm)
%req_both perl(Catalyst/Model/DBIC/Schema.pm)
# Recommended Views
%req_both perl(Catalyst/View/TT.pm)
%req_both perl(Catalyst/View/Email.pm)
# Recommended Components
%req_both perl(Catalyst/Controller/ActionRole.pm)
%req_both perl(CatalystX/Component/Traits.pm)
%req_both perl(CatalystX/SimpleLogin.pm)
%req_both perl(Catalyst/Action/REST.pm)
%req_both perl(Catalyst/Component/InstancePerContext.pm)
# Session Support
%req_both perl(Catalyst/Plugin/Session.pm)
%req_both perl(Catalyst/Plugin/Session/State/Cookie.pm)
%req_both perl(Catalyst/Plugin/Session/Store/File.pm)
%req_both perl(Catalyst/Plugin/Session/Store/DBIC.pm)
# Authentication and Authorization
%req_both perl(Catalyst/Plugin/Authentication.pm)
%req_both perl(Catalyst/Authentication/Store/DBIx/Class.pm)
%req_both perl(Catalyst/Authentication/Credential/HTTP.pm)
%req_both perl(Catalyst/ActionRole/ACL.pm)
# Recommended Plugins
%req_both perl(Catalyst/Plugin/Static/Simple.pm)
%req_both perl(Catalyst/Plugin/Unicode/Encoding.pm)
%req_both perl(Catalyst/Plugin/I18N.pm)
%req_both perl(Catalyst/Plugin/ConfigLoader.pm)
# Testing, Debugging and Profiling
%req_both perl(Test/WWW/Mechanize/Catalyst.pm)
%req_both perl(Catalyst/Plugin/StackTrace.pm)
%req_both perl(CatalystX/REPL.pm)
%req_both perl(CatalystX/LeakChecker.pm)
%req_both perl(CatalystX/Profile.pm)
# Deployment
%req_both perl(FCGI.pm)
%req_both perl(FCGI/ProcManager.pm)
%req_both perl(Starman.pm)
%req_both perl(local/lib.pm)

# Make sure we pull it in, regardless of where it is
Requires:   /usr/bin/catalyst.pl
Source44: import.info

%description
This package ensures everything you need to write serious Catalyst
applications is installed.  Install this if you're interested in 
developing Catalyst apps. 

%prep
%setup -q -n Task-Catalyst-%{version}

%build
PERL_AUTOINSTALL='--skipdeps' %{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%files
%doc Changes README 
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 4.02-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 4.02-alt1_4
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 4.02-alt1_2
- fc import

